<?php
/*
Mailboy - A Php/MySQL application that offers a web based interface
to administer an email server. It can be used by the server administrator
as well as the email users.
(c) 2009 Emmanuel Revah - manu-at-manurevah.com
http://manurevah.com/blah/en/pages/mailboy

This file is part of Mailboy.

Mailboy is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Mailboy is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Mailboy.  If not, see <http://www.gnu.org/licenses/>.
*/
?>

<? /* adddomain form */
if (am_i_server_admin()) { ?>
<form action="" method="post" enctype="multipart/form-data">
	<dl>
		<dt><label for="add_domain">Add a domain</label></dt>
		<dd><input class="input-text" type="text" name="<? echo $content[forms][add_domain][new_domain]; ?>" id="add_domain" value="<? echo $content[forms][add_domain][domain]; ?>" /></dd>
		<dt><label for="policy">Amavis policy</label></dt>
		<dd><select name="<? echo $content[forms][add_domain][policy]; ?>" id="policy">
				<option value="">No policy</option>
				<? foreach ($content[forms][add_domain][policies] as $k => $v) { ?>
					<option value="<? echo $k; ?>" ><? echo $v; ?></option>
				<? } ?>
			</select>
		</dd>
		<dt><label for="default_quota">Default quota</label></dt>
		<dd><input class="input-text" type="text" name="<? echo $content[forms][add_domain][default_quota]; ?>" id="default_quota" value="" /> MB</dd>
		<dt></dt>
		<dd><input class="input-submit" type="submit" name="<? echo $content[forms][add_domain][submit]; ?>" value="Add domain" /></dd>
	</dl>
</form>
<div class="clear"></div>
<? } ?>

<? // list domains AND del_domain form at the same time
if ($content[domains]) { ?>
<form action="" method="post" enctype="multipart/form-data">
	<table border="0">
			<tr><th><a href="<? echo $content[domains_table][th][name]; ?>">domain</a></th>
				<th><a href="<? echo $content[domains_table][th][policy_name]; ?>">default policy</a></th>
				<th><a href="<? echo $content[domains_table][th][default_quota]; ?>">default quota</a></th>
				<th><a href="<? echo $content[domains_table][th][accounts]; ?>">accounts</a></th>
				<th><a href="<? echo $content[domains_table][th][aliases]; ?>">aliases</a></th>
				<th>delete?</th>
			</tr>
			<? foreach ($content[domains] as $k => $v) { ?>
			<tr>
				<td><a href="index.php?page=accounts&domain_id=<? echo $v[id]; ?>"><? echo $v[name]; ?></a></td>
				<td><? echo $v[policy_name]; ?></td>
				<td class="input-numeric"><? echo $v[default_quota]; ?> MB</td>
				<td class="input-numeric"><? echo $v[accounts]; ?></td>
				<td class="input-numeric"><? echo $v[aliases]; ?></td>
				<td class="center">
					<? if (am_i_admin_of($v[id])) { ?>
				<input class="input-checkbox" type="checkbox" name="<? echo $content[forms][del_domain][del_domain]; ?>[]" id="" value="<? echo $v[id]; ?>"/>
					<? } ?>
			</tr>
			<? } ?>
	</table>
	<input class="input-checkbox" type="checkbox" name="<? echo $content[forms][del_domain][del_domain_confirm]; ?>" id="" value="1" title="This confirms you are sure" />Really do it ?
	<input class="input-submit" type="submit" name="<? echo $content[forms][del_domain][submit]; ?>" value="Delete" title="You sure ?" />
</form>
<?php } ?>
